Description

On the first launch, or afterwards if requested, the user should be guided through a short tutorial.

1. Introduce the Doomsday taskbar, Shift-Esc shortcut, and the DE/confg menus. This is important so that the user knows the
basic elements of the Ul where more features can then be found by exploring.

2. Configure the shortcut key for opening the console command line (and thus taskbar). Using a single hardcoded default is not the
best option as keyboard layouts vary.

3. Choose default renderer appearance. Even if most choose "Defaults", it's good to let the user know that there are other
options/customizability.

History

#1 - 2013-12-07 17:24 - skyjake

- Target version changed from 1.13 to 1.14

#2 - 2013-12-17 02:17 - eunbolt

May | suggest to have the tutorial as an optional button, that for people to see the tutorial, they have to click, rather than making them opt out

#3 - 2013-12-17 10:02 - vermil

| know you want to highlight the cool Ul, but is it actually best to wait until such a time comes that the typical user boots into Ring Zero by default,
before the tutorial is added. by which | mean, the typical user no longer uses Snowberry because the new Ul has advanced enough to make it
obsolete.

At which point, Ring Zero could include 'open taskbar' and 'tutorial' buttons on it.

Something | have also thought about, is that the taskbar and main taskbar menu should open by default when Ring Zero is opened and that there
should be a new option at the top of the main taskbar menu called something along the lines of 'button to open taskbar' with a box the user can type a
binding into.

| also wonder if, currently, any tutorial may also contradict 'what Snowberry says', which also may confuse typical users. | point to step four in Mr
Romero's 'how to setup Dday' guide as a prominent, if not particularly good, example as to what | am trying to say:
http://planetromero.com/2013/11/doomsday-1-12-server-setup.

| also debate that highlighting the Ul further right now, might actually give the wrong impression about Dday's priorities to the typical user; | point to
Lightning Hunters thread in the forum: http://www.dengine.net/forums/viewtopic.php?f=9&t=1629. Once the typical user can see the virtues of the new
Ul (i.e again once they no longer have to use Snowberry), then highlight the UI.

Dday has historically been known among the typical users for having a difficult to understand Ul; even having a tutorial might seem like a sticking
plaster, rather than solving this issue once and for all.

Of course, | won't lie, | also think the new lens flares are coming in too early; that they should wait until halo's and dlights are also updated from 2d to

3d (and also possibly when the auto dlight algorithm takes the entire sprite rotation into account). | believe the later two still being 2d will notably, if not
completely undermine the former at this stage and it's better to 'wow' the users with all three together, as they are so closely linked in the gameworld.

#4 - 2013-12-17 13:44 - skyjake

vermil wrote:
Something | have also thought about, is that the taskbar and main taskbar menu should open by default when Ring Zero is opened and that
there should be a new option at the top of the main taskbar menu called something along the lines of 'button to open taskbar' with a box the user
can type a binding into.

That's a nice idea.

[re: dropping Snowberry]
http://planetromero.com/2013/11/doomsday-1-12-server-setup
http://www.dengine.net/forums/viewtopic.php?f=9&t=1629

Managing the transition to the Snowberry-less future is a bit tricky, as Snowberry has quite a number of features and replicating all of them is not
trivial. It will likely come down to a compromise where some of the less-known/used features of Snowberry are dropped for a while.

Nevertheless, it should help to avoid confusion if we maintain two, separate launch modes:

e Snowberry mode, where the game is selected before launching Doomsday and the game is loaded immediately. In this case, the tutorial would
be different or would not show up at all.
¢ Ring Zero mode, where the game is selected after launching. Here a full tutorial/guided setup would be necessary.

Dday has historically been known among the typical users for having a difficult to understand Ul; even having a tutorial might seem like a sticking
plaster, rather than solving this issue once and for all.

We should of course strive to make things easier to understand (which can mean "simpler" or perhaps "more like the native platform UI"). | still think
it's polite and appropriate toward new users that we inform them about some basic operating principles of the Doomsday Ul, if those cannot be made
immediately obvious.

#5 - 2013-12-17 17:23 - danij

It is important to bear in mind that within the traditional sphere of a DOOM source port there is basically no parallel for what we are trying to
accomplish with Ring Zero and the new Ul in general. Long time players coming to Doomsday will have certain expectations about how our project
works, many of which being carried over from vanilla and/or other source ports.

Naturally such a user is going to feel rather lost at first given how differently Doomsday does things. | agree with skyjake that a "tutorial" (perhaps not
the best name for this but the cap fits) is highly important, if only for the opportunity to make it obvious to the user that we do things rather differently.

#6 - 2014-03-08 20:10 - skyjake
- Status changed from New to In Progress

- % Done changed from 0 to 20

#7 - 2014-03-10 20:25 - skyjake
- % Done changed from 20 to 90

#8 - 2014-04-10 09:34 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 90 to 100
